{ config, pkgs, ... }:

{

  programs.ssh = {
    enable = true;
      matchBlocks = {

        ### Network Hosts ###
        htpc01 = {
          hostname = "htpc01.local";
          user = "kodi";
          port = 22;
          # identityFile = "~/.ssh/id_rsa.pub";          
        };

        nas = {
          hostname = "192.168.20.90";
          user = "root";
          port = 22;
        };

        pve01 = {
          hostname = "192.168.10.50";
          user = "root";
          port = 22;
        };

        ### Proxmox PVE01 LAN ###
        pfsense = {
          hostname = "192.168.10.1";
          user = "admin";
          port = 22;
        };

        opnsense = {
          hostname = "192.168.10.1";
          user = "root";
          port = 22;
        };

        fileserver01 = {
          hostname = "192.168.10.52";
          user = "root";
          port = 22;
        };

         checkmk = {
          hostname = "192.168.50.53";
          user = "root";
          port = 22;    
        };

        pbs01 = {
          hostname = "192.168.10.54";
          user = "root";
          port = 22;
        };        

        docker-lan = {
          hostname = "192.168.10.55";
          user = "root";
          port = 22;  
        };

        jdownloader = {
          hostname = "192.168.10.57";
          user = "root";
          port = 22;
        };
 
        vserver01 = {
          hostname = "192.168.10.180";
          user = "root";
          port = 22;
        };

        adgurd = {
          hostname = "192.168.178.10";
          user = "root";
          port = 22;
        };        

        ### Proxmox PVE01 DMZ ###
        aptcache = {
          hostname = "192.168.50.10";
          user = "root";
          port = 22;
        };

        docker-dmz = {
          hostname = "192.168.50.11";
          user = "root";
          port = 22;
        };

        rustdesk = {
          hostname = "192.168.50.12";
          user = "root";
          port = 22;
        };        

        radicale = {
          hostname = "192.168.50.13";
          user = "root";
          port = 22;
        };

        mumble = {
          hostname = "192.168.50.14";
          user = "root";
          port = 22;
        };        

        meet = {
          hostname = "192.168.50.15";
          user = "root";
          port = 22;
        };

        mail = {
          hostname = "192.168.50.16";
          user = "root";
          port = 22;
        };

        freshrss = {
          hostname = "192.168.50.17";
          user = "root";
          port = 22;  
        };

        owncloud = {
          hostname = "192.168.50.18";
          user = "root";
          port = 22;
        };        

        websrv01 = {
          hostname = "192.168.50.19";
          user = "root";
          port = 22;
        };

        websrv02 = {
          hostname = "192.168.50.20";
          user = "root";
          port = 22;
        };

        gitea = {
          hostname = "192.168.50.21";
          user = "root";
          port = 22; 
        };

        ### Proxmox PVE01 IOT ###
        jellyfin = {
          hostname = "192.168.60.20";
          user = "root";
          port = 22;
        };

        ### Proxmox PVE01 VPN ###
        seedbox = {
          hostname = "192.168.20.10";
          user = "root";
          port = 22;
        };

        ### Internet Hosts ###
        strato = {
          hostname = "85.215.43.109";
          user = "root";
          port = 63007;
        };
      };
    };
  
}
