{ config, lib, pkgs, osConfig, ... }:
let
  home-manager = builtins.fetchTarball "https://github.com/nix-community/home-manager/archive/release-24.11.tar.gz";
in
{

  imports = [
    (import "${home-manager}/nixos")
  ];

  home-manager.backupFileExtension = "backup";
  home-manager.useGlobalPkgs = true;
  home-manager.useUserPackages = true;

  home-manager.users.zulumann = {
    home.stateVersion = "24.11";
    home.homeDirectory = "/home/zulumann";
    home.packages = with pkgs; [     
      neofetch
   ];

    imports = [
      ./../home
    ];

    programs.home-manager.enable = true;
  };

}