#!/usr/bin/env bash
#
################################################################################
#
#
# post-installation script for Linux 
# 
# 
#
################################################################################

while :
do
clear
echo ""
echo "\033[1m I N S T A L L Flatpack on NixOS  "
echo " ----------------------------------------"
echo "\033[0m"
echo "01.Setup Flatpack Themes"
echo "02.Install Flatseal"
echo "03.Install Flatsweep"
echo "04.Install Lutris"
echo "05.Instal Heroic Games Launcher"
echo ""
echo " x. Exit"
echo ""
echo -n " Please enter option [01 - 05]"
read opt
case $opt in
##################################################################################
01) echo "************ Setup Flatpack Themes  **********************";
##################################################################################
mkdir ~/.themes
cp -R /run/current-system/sw/share/themes/Arc-Dark ~/.themes/
cp -R /run/current-system/sw/share/icons/Papirus-Dark ~/.icons
sudo flatpak override --filesystem=$HOME/.themes
sudo flatpak override --env=GTK_THEME=Arc-Dark
;;

##################################################################################
02) echo "************ Install Flatseal ****************";
##################################################################################
flatpak install -y flathub com.github.tchx84.Flatseal
;;

##################################################################################
03) echo "************ Install Flatsweep *****************";
##################################################################################
flatpak install -y flathub io.github.giantpinkrobots.flatsweep
;;

##################################################################################
04) echo "************ Install Lutris ******************";
##################################################################################
flatpak install -y flathub net.lutris.Lutris
;;

##################################################################################
05) echo "************ Install Heroic Games Launcher **************************";
##################################################################################
flatpak install -y flathub com.heroicgameslauncher.hgl
;;

x) echo "";
exit 1;;
*) echo " Press [enter] key to continue. . .";
read enterKey;;
esac
done

