{ config, pkgs, ... }:

{

  # Enable CUPS
  services.printing = {
    enable = true;
    #openFirewall = true;
    drivers = [ 
      pkgs.brlaser
      pkgs.hplipWithPlugin
    ];
  };

  # Enable Cups-PDF
  services.printing.cups-pdf = {
    enable = true;
    instances = {
      pdf = {
        settings = {
          Out = "\${HOME}/Cups-pdf";
          UserUMask = "0033";
        };
      };
    };
  };

  # Enable Sane
  hardware.sane = { 
    enable = true;
    extraBackends = [ pkgs.hplipWithPlugin ];
  };

  users.users.zulumann.extraGroups = ["scanner" "lp"];

  networking.firewall = {
  allowedTCPPorts = [ 80 427 443 515 631 8080 9100 6566 ];
  allowedUDPPorts = [ 427 3702 5353 ];
  };

}
